using System.Runtime.InteropServices;

namespace Decal.Interop.Input;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class IHotkeyEvents_SinkHelper : IHotkeyEvents
{
	public IHotkeyEvents_HotkeyEventHandler m_HotkeyDelegate;

	public int m_dwCookie;

	public void Hotkey(Hotkey P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_HotkeyDelegate != null)
		{
			m_HotkeyDelegate(P_0);
		}
	}

	internal IHotkeyEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_HotkeyDelegate = null;
	}
}
